Bug 127864 - Show '???' instead of national charset (RU) in File Property dialog if I save it as docx
Summary: Show '???' instead of national charset (RU) in File Property dialog if I save...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: x86-64 (AMD64) All
: medium trivial
Assignee: Andreas Heinisch
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: filter:docx
Depends on:
Blocks: File-Properties
  Show dependency treegraph
 
Reported: 2019-09-29 14:11 UTC by Alex Chernous
Modified: 2021-07-03 11:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Show ??? instead of national charset (RU) (93.19 KB, image/png)
2019-09-29 14:21 UTC, Alex Chernous
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Chernous 2019-09-29 14:11:02 UTC
Description:
If I choose any russian name of object in 'user property' tab on file property dialog and save document in MS Office 2007-365 format (docx, xlsx etc.) then it show '???' instead of national charset.

Steps to Reproduce:
1. Create new document;
2. Open File Property dialog 'user propertyes' tab;
3. Add property name having russian translate;
4. Save document in MS Office 2007-365 format;
5. Close and reopen document and File Property dialog 'user propertyes' tab;

Actual Results:
Show '???' instead of national charset

Expected Results:
Show national symbols in property name


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Версия: 6.3.2.2
ID сборки: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
Потоков ЦП: 2; ОС:Linux 4.19; Отрисовка ИП: по умолчанию; VCL: gtk3; 
Локаль: ru-RU (ru_RU.UTF-8); Язык интерфейса: ru-RU
Calc: threaded
Comment 1 Alex Chernous 2019-09-29 14:21:59 UTC
Created attachment 154640 [details]
Show ??? instead of national charset (RU)
Comment 2 Roman Kuznetsov 2019-09-30 14:01:14 UTC
confirm in

Версия: 6.4.0.0.alpha0+ (x86)
ID сборки: c45d477b0a0038d9c25176cf7cff299e5ddf3a7a
Потоков ЦП: 4; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-09-30_05:06:55
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded

and in 

Версия: 4.4.7.2
ID сборки: f3153a8b245191196a4b6b9abd1d0da16eead600
Локаль: ru_RU
Comment 3 Alex Chernous 2020-08-20 11:09:50 UTC
Confirm in

Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
Потоков ЦП: 4; ОС: Linux 5.3; Отрисовка ИП: по умолчанию; VCL: kf5
Locale: ru-RU (ru_RU.UTF-8); ИП: ru-RU
Calc: threaded
Comment 4 Alex Chernous 2020-12-17 19:31:28 UTC
Confirm in

Version: 7.0.4.2
Build ID: dcf040e67528d9187c66b2379df5ea4407429775
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ru-RU (ru_RU.UTF-8); ИП: ru-RU
Calc: threaded
Comment 5 Alex Chernous 2021-03-27 15:23:26 UTC
Confirm in

Version: 7.1.1.2 / LibreOffice Community
Build ID: fe0b08f4af1bacafe4c7ecc87ce55bb426164676
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ru-RU (ru_RU.UTF-8); UI: ru-RU
Calc: threaded
Comment 6 Roman Kuznetsov 2021-03-27 18:22:19 UTC
Alex please don't touch the version field. 4.4.7.2 is a first version where we found the bug
Comment 7 Commit Notification 2021-06-18 10:11:27 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d50501d1b4c015232c31c75a16b96143d43f7a3f

tdf#127864 - Export custom document properties using utf8 text encoding

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-06-18 14:27:31 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/ac9827844564f86bc36a1f7492f3d8781ab8779c

tdf#127864 - Export custom document properties using utf8 text encoding

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Alex Chernous 2021-07-03 11:19:31 UTC
I test this fix in

Version: 7.2.0.0.beta1+ / LibreOffice Community
Build ID: fe4e891a0ab34aabe3e1cdc425502feba6dffdd8
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ru-RU (ru_RU.UTF-8); UI: ru-RU
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-7-2, Time: 2021-07-01_23:03:20
Calc: threaded

It work as expected. But I found new bug: https://bugs.documentfoundation.org/show_bug.cgi?id=143175